body {
  overscroll-behavior: none;
}

/* Search Section */
.search-hero {
  background-color: var(--t-indigo-900);
  padding: 1.5rem 0 1rem;

  div > .gs-wrapper {
    position: relative;
  }

  @media (min-width: 768px) {
    height: 15.25rem;
    background-repeat: no-repeat;
    background-position: 95% -1rem;
    background-image: url("../search-hero-bg.svg");
  }

  h1 {
    font-size: 1.5rem;
    @media (min-width: 768px) {
      font-size: 2.25rem;
      margin-bottom: 0.75rem;
    }
  }

  .quick-links {
    @media (min-width: 768px) {
      padding-bottom: 0;
    }
  }
  .quick-links a {
    font-size: 0.875rem;
    @media (min-width: 768px) {
      font-size: 1rem;
    }

    /* Animate underline hover style */
    background: linear-gradient(
        to right,
        var(--color-tanuki-light),
        var(--color-tanuki-light)
      ),
      linear-gradient(
        to right,
        var(--red-300),
        var(--purple-400),
        var(--blue-400)
      );
    background-size:
      100% 1px,
      0 1px;
    background-position:
      100% 100%,
      0 100%;
    background-repeat: no-repeat;
    transition: background-size 400ms;

    &:hover {
      text-decoration: none;
      color: var(--white);
      background-size:
        0 1px,
        100% 1px;
    }
  }

  .js-elastic-search-form,
  .search-form,
  .gs-wrapper,
  .gs-results {
    width: 100%;
    @media (min-width: 768px) {
      width: 28rem;
    }
    @media (min-width: 992px) {
      width: 46rem;
    }
  }
  /* Larger search box */
  @media (min-width: 992px) {
    .gl-search-box-by-type-input-borderless,
    .gl-search-box-by-type-input-borderless.gl-form-input {
      padding: 0.75rem 4rem 0.75rem 2rem;
      border-radius: 0.25rem;
      font-size: 1rem;
    }
    .gs-wrapper kbd {
      @media (min-width: 768px) {
        top: 0.5rem;
        right: 0.6rem;
        font-size: 0.75rem;
        padding: 0.3rem 0.6rem;
      }
    }
  }

  .gl-search-box-by-type-input {
    height: auto;
    &:focus {
      box-shadow:
        inset 0 0 0 1px var(--gray-400),
        0 0 0 1px #fff,
        0 0 0 3px var(--blue-400);
    }
  }
  .gs-results {
    border: 1px solid var(--gray-400);
    border-width: 0 1px 1px;
    font-size: 0.9rem;
  }

  /* Pagefind */
  .gl-search-box-by-click.input-group > .input-group-append {
    background-color: transparent;
  }
}

/* Tab Section */
.site-sections {
  background: var(--white) url("../gradient-bg.svg");
  background-position-y: bottom;
  background-repeat: repeat-x;

  @media screen and (min-width: 990px) {
    padding: 2.5rem 0;
  }

  h3 {
    max-width: 100%;
  }

  h3 a {
    color: var(--t-indigo-700);
  }

  /* Tabs */
  .gl-tabs {
    border-bottom: 0;
  }
  .gl-tabs-nav {
    justify-content: space-between;
    align-items: flex-start;

    .gl-tab-nav-item::before {
      transition: none;
    }
    .gl-tab-nav-item, .gl-tab-nav-item:hover {
      border: 0;
    }
    .gl-tab-nav-item {
      font-size: 1.5625rem;
      line-height: 125%;
      letter-spacing: -0.01563rem;
      color: var(--gray-950);
      position: relative;
      top: 4px;
      padding: 1rem 0.75rem 1.25rem;
    }
    .gl-tab-nav-item-active::before {
      border-bottom: 0;
    }
    .gl-tab-nav-item:hover {
      background-color: transparent;
    }
    .gl-tab-nav-item-active,
    .gl-tab-nav-item-active:active,
    .gl-tab-nav-item-active:focus,
    .gl-tab-nav-item-active:focus:active {
      color: var(--t-indigo-900);
      font-weight: 600;
      box-shadow: inset 0 -4px 0 0 var(--t-indigo-500);
      background-color: transparent;
    }
    .gl-tab-nav-item-active:focus-visible {
      box-shadow:
        0 0 0 1px var(--white),
        0 0 0 3px var(--blue-400);
    }
    .gl-tab-nav-item:hover:not(.gl-tab-nav-item-active)::before {
      border-bottom: 0;
    }
    .gl-tab-nav-item:hover:not(.gl-tab-nav-item-active) {
      box-shadow: inset 0 -4px 0 0 var(--gray-200);
    }
  }
  .gl-tab-content {
    padding: 0;
  }
  .gl-tabs-nav {
    border-width: 0 0 4px;
  }

  /* Accordions */
  .gl-accordion-item {
    margin-bottom: 0.55rem;

    .collapse {
      margin-left: 0;
    }

    > div {
      margin-top: 0;
    }
  }
  .gl-accordion-item-header {
    border-bottom: 1px solid var(--t-indigo-100);
    padding-bottom: 0.55rem;

    /* Chevrons */
    button {
      justify-content: left;
      width: 100%;
      &:hover,
      &:active,
      &:focus {
        text-decoration: none !important;
      }
      .gl-button-text {
        color: var(--t-indigo-900);
        font-size: 1.125rem;
      }
    }
    svg.gl-button-icon {
      height: 20px;
      width: 20px;
    }
    button.not-collapsed {
      font-weight: 600;
      svg.gl-button-icon {
        transform: rotate(180deg);
      }
    }
  }

  .site-section-inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1rem;

    @media screen and (min-width: 990px) {
      grid-template-columns: repeat(3, 1fr);
      grid-gap: 1.88rem 2rem;
      padding: 2rem 0 0;
    }

    @media screen and (min-width: 990px) {
      h3 {
        font-weight: 600;
        font-size: 1.25rem;
        line-height: 125%;
      }
      a {
        background: url("../chevron-lg-right.svg") no-repeat center right;
        padding-right: 1.56rem;
      }
      p {
        margin-top: 0.5rem;
      }
    }
  }

  .secondary-sections {
    @media screen and (max-width: 989px) {
      padding: 0.75rem 0;
      line-height: 1.25rem;

      h3 {
        font-size: 1.25rem;
        font-weight: 500;
      }
    }

    a {
      color: var(--t-indigo-700);
      font-size: 0.875rem;
    }

    @media screen and (min-width: 990px) {
      border-top: 1px solid var(--t-indigo-100);
      margin-top: 3.5rem;
      padding-top: 3.5rem;
      h3 {
        font-weight: 600;
      }
    }

    ul {
      @media screen and (max-width: 989px) {
        display: block;
      }
      grid-gap: 0.5rem 1.88rem;
    }
  }
}

/* Landing Installation Section */
.self-managed {
  background-color: var(--gray-10);
  h2 {
    font-weight: 600;
    color: var(--t-indigo-900);
    margin: 0 0 0.25rem;
  }

  a {
    color: var(--purple-500);
    text-decoration: underline;

    &:hover {
      color: var(--purple-500);
    }
  }

  .card {
    box-shadow: 0 0.5rem 1.5rem -0.75rem rgba(36, 34, 66, 0.25);
    border-radius: 0.25rem;
    transition: all 0.5s;

    &.transparent {
      box-shadow: none;
      background-color: transparent;
    }

    .card-title {
      color: var(--purple-900);
    }

    .card-link {
      text-decoration: none;
      position: relative;

      &:hover {
        text-decoration: underline;
      }
    }

    &:hover {
      box-shadow: 0.1rem 0.5rem 2rem 0 var(--get-support-card-hover-shadow);
    }
  }

  .card-large {
    border: 0;
    padding: 2rem;

    .card-title {
      font-weight: 500;
      font-size: 1.75rem;
      line-height: 2.125rem;
      color: var(--purple-900);
    }

    .card-img-top {
      width: 80px;
      height: 80px;
    }

    .card-text {
      font-style: normal;
      font-weight: normal;
      font-size: 1rem;
      line-height: 1.5rem;
      color: var(--gray-600);
    }

    a {
      font-style: normal;
      font-weight: normal;
      font-size: 1rem;
      line-height: 1.5rem;
      color: var(--purple-500);
    }
  }

  .transparent {
    .card-title {
      font-style: normal;
      font-weight: 500;
      font-size: 1rem;
      line-height: 1.25rem;
      color: var(--purple-500);
      white-space: nowrap;
    }

    .card-text {
      font-style: normal;
      font-weight: normal;
      font-size: 0.875rem;
      line-height: 1.25rem;
      color: var(--gray-600);
    }
  }

  .options {
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 1.375rem;

    p {
      color: var(--gray-600);
    }
  }

  .related {
    font-style: normal;
    font-size: 1rem;
    line-height: 1.5rem;

    p {
      color: var(--gray-600);
    }

    a {
      color: var(--purple-500);
    }
  }
}

/* Landing Reference Architectures Section */
.reference {
  background: radial-gradient(
      75.78% 75.78% at 50% 1.83%,
      var(--ref-arc-background-black-100) 0%,
      var(--ref-arc-background-black-0) 100%
    ),
    var(--ref-arc-background-indigo-950);

  a {
    text-decoration: none;
    color: var(--white);
  }

  h2 {
    font-style: normal;
    font-weight: 500;
    font-size: 2.5rem;
    line-height: 3.063rem;
    color: var(--white);
    max-width: none;
  }

  p {
    color: var(--purple-100);
  }

  .title {
    font-weight: 600;
    font-size: 2rem;
  }

  .sub-title {
    margin-top: -1rem;
    font-size: 1.25rem;
  }

  .circle {
    background-color: var(--t-indigo-950);
    height: 9.25rem;
    width: 9.25rem;
    transition: all 0.5s;

    &:hover {
      box-shadow: 0.1rem 0.5rem 2rem 0 var(--t-indigo-10);
    }
  }
}

/* Landing Support Section */
.support {
  background: linear-gradient(180deg, var(--white) 0%, var(--purple-100) 100%);

  .container {
    flex-direction: column;
    gap: 2rem; /* Gap is needed instead of margin-right on the first card - gap is a gutter between columns */
  }

  @media (min-width: 992px) {
    .container {
      flex-direction: row;
    }
  }

  .card {
    box-shadow: 0 0.5rem 1.5rem -0.75rem var(--get-support-card-hover-shadow);
    transition: all 0.5s;
    flex: 1;

    h2 {
      font-weight: 500;
      font-size: 2.5rem;
      margin-top: 0;
      max-width: none;
    }

    .card-title {
      color: var(--purple-900);
    }

    .card-text {
      color: var(--gray-600);
      font-size: 1.125rem;
      line-height: 1.313rem;
    }

    &:hover {
      box-shadow: 0.1rem 0.5rem 2rem 0 var(--get-support-card-hover-shadow);
    }

    .btn-outline-primary {
      transition: 0.3s all;
      border-color: var(--purple-500);
      color: var(--purple-500);

      &:hover {
        color: var(--white);
        background-color: var(--purple-500);
      }
    }
  }
}

/* Landing Footer Section */
.footer-section {
  height: 3rem;
  background: var(--purple-500);
  flex-direction: row;

  .container {
    margin-top: 0.75rem;
  }

  @media (max-width: 1200px) {
    height: auto;
    padding: 1rem 0;

    .container {
      flex-direction: column;
      margin: 0;
      text-align: left;
    }

    a {
      display: block;
      margin: 0.5rem 0;
    }
  }

  a,
  .ot-sdk-show-settings {
    font-style: normal;
    font-weight: normal;
    font-size: 0.875rem !important;
    line-height: 1rem !important;
    color: var(--white) !important;

    &:hover {
      color: var(--white);
      text-decoration: underline;
    }
  }
  a:not(:nth-last-child(-n + 2)),
  .ot-sdk-show-settings {
    @media (min-width: 1200px) {
      &::after {
        content: "\2022";
        margin: 0 0.5rem;
        display: inline-block;
        /* stylelint-disable max-nesting-depth */
        &:hover {
          text-decoration: none;
        }
        /* stylelint-enable max-nesting-depth */
      }
    }

    @media (max-width: 1200px) {
      &::after {
        content: none;
        margin: 0 0.5rem;
        display: inline-block;
        /* stylelint-disable max-nesting-depth */
        &:hover {
          text-decoration: none;
        }
        /* stylelint-enable max-nesting-depth */
      }
    }
  }

  button {
    text-decoration: none;
    background: none;
    color: inherit;
    border: 0;
    padding: 0;
    cursor: pointer;
    outline: inherit;
  }
}
